/* Argo.CSS 1.01 June 2026 by Rosca Mircea */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Roboto', Tahoma, Geneva, Verdana, sans-serif;
}
body{
    min-height: auto;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto 1fr auto;
    grid-template-areas:
     "navbar"
     "main"
     "footer";
}

nav{
    top: 0;
    position: sticky;
    grid-area: navbar;
    background-color: rgb(249, 251, 253);
    box-shadow: 3px 3px 5px rgba(0,0,0,0.5);
}

nav ul{
    width: 100%;
    list-style: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

nav li{
    height: 50px;
}

nav a{
    height: 100%;
    padding: 0 30px;
    text-decoration: none;
    display: flex;
    align-items: center;
    color: black;
    font-weight: 550;
}

nav a:hover{
    background-color: #e1e5ef;
}

nav li:first-child{
    margin-right: auto;
}

main{
    width: 100%;
    grid-area: main;
    background-color: rgb(242, 247, 247); 
}
footer{
    grid-area: footer;
    background-color: rgb(236, 240, 242);
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 10;
}
footer ul{
    width: 100%;
    padding-left: 30px;
    list-style: none;
    display: flex;
    justify-content: flex-start;
    margin-right: 10px;
}
footer li{
    margin-left: 20px;
    align-items: center;
}

.showMobile{
    display: none;
}

video{
    width:100%;
    height: 100%;
}

@media(max-width:530px){
    .hideOnMobile{
        display:none;
    }

    .menuButton{
        display: block;
    }
}



